﻿using FluentBlazorApp.DTOs;
using System.IdentityModel.Tokens.Jwt;
using System.Security.Claims;

namespace FluentBlazorApp.States
{
    public static class DecryptJWTTokenService
    {
        public static CustomUserClaims DecryptToken(string jwtToken)
        {
            try
            {
                if (string.IsNullOrEmpty(jwtToken))
                    return null;

                var handler = new JwtSecurityTokenHandler();
                var token = handler.ReadJwtToken(jwtToken);

                var name = token.Claims.FirstOrDefault(t => t.Type == ClaimTypes.Name);
                return new CustomUserClaims(name!.Value);
            }
            catch (Exception)
            {
                return null;
            }
        }
    }
}
